=== debian/control ===
Source: haskell-configfile
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.3), libghc6-mtl-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
Standards-Version: 3.6.2
Section: devel

Package: libghc6-configfile-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.18.3), libghc6-mtl-dev
Suggests: configfile-doc
Description: Parser and writer for handling sectioned config files in Haskell, GHC package
 The ConfigFile module works with configuration files in a standard
 format that is easy for the user to edit, easy for the programmer
 to work with, yet remains powerful and flexible.  It is inspired by,
 and compatible with, Python's ConfigParser module.  It uses files
 that resemble Windows .INI-style files, but with numerous
 improvements.
 .
 ConfigFile provides simple calls to both read and write config files.
 It's possible to make a config file parsable by this module,
 the Unix shell, and make.

Package: configfile-doc
Section: doc
Architecture: all
Description: Parser and writer for handling sectioned config files in Haskell, Documentation
 The ConfigFile module works with configuration files in a standard
 format that is easy for the user to edit, easy for the programmer
 to work with, yet remains powerful and flexible.  It is inspired by,
 and compatible with, Python's ConfigParser module.  It uses files
 that resemble Windows .INI-style files, but with numerous
 improvements.
 .
 ConfigFile provides simple calls to both read and write config files.
 It's possible to make a config file parsable by this module,
 the Unix shell, and make.
