## haskell-configfile 1.0.4.1

=== debian/changelog ===
haskell-configfile (1.0.4.1) unstable; urgency=low

  * Rebuild with newer regex libs.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 06 Feb 2008 04:04:46 -0600

haskell-configfile (1.0.4.0) unstable; urgency=low

  * Updates for GHC 6.8.x compatibility.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 02:36:03 -0600

haskell-configfile (1.0.3) unstable; urgency=medium

  * Rebuild with newer MissingH.  Closes: #429486, #429500.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 12 Jul 2007 00:55:49 -0500
