=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: haskell-configfile
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-missingh-dev (>= 0.18.3), libghc6-mtl-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-missingh-dev (>= 1.0.0), libghc6-mtl-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, haskell-devscripts (>= 0.6.3), ghc6 (>= 6.6), cpphs
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-configfile-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 0.18.3), libghc6-mtl-dev
+Depends: ${haskell:Depends}, libghc6-missingh-dev (>= 1.0.0), libghc6-mtl-dev
 Suggests: configfile-doc
 Description: Parser and writer for handling sectioned config files in Haskell, GHC package
  The ConfigFile module works with configuration files in a standard
