## haskell-configfile 1.0.4.2

=== debian/changelog ===
haskell-configfile (1.0.4.2) unstable; urgency=low

  * Rebuild for new MissingH.  Closes: #477702.
  * Add Homepage, VCS-* lines to control.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Apr 2008 11:31:50 -0500
