## haskell-configfile 1.0.4.6

=== debian/changelog ===
haskell-configfile (1.0.4.6) unstable; urgency=high

  * Rebuild for newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 15:56:02 -0600

haskell-configfile (1.0.4.5) unstable; urgency=low

  * Rebuild with newer MissingH.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 09:12:20 -0600

haskell-configfile (1.0.4.4) unstable; urgency=low

  * Use dh_haskell_depends.  Closes: #506206.
  * Rebuild against MissingH 1.0.3.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Nov 2008 05:12:26 -0600

haskell-configfile (1.0.4.3) unstable; urgency=low

  * Rebuilt with newer MissingH.  Closes: #504528.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 18 Nov 2008 03:33:12 -0600
