## haskell-configfile 1.1.4

=== debian/changelog ===
haskell-configfile (1.1.4-9build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Oct 2020 20:22:18 +0000

haskell-configfile (1.1.4-9build1) groovy; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jul 2020 15:13:23 +0200

haskell-configfile (1.1.4-9) unstable; urgency=medium

  * Sourceful upload for GHC 8.8.

 -- Clint Adams <clint@debian.org>  Thu, 18 Jun 2020 19:21:45 -0400

haskell-configfile (1.1.4-8) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:11 +0300

haskell-configfile (1.1.4-7) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:23 +0300

haskell-configfile (1.1.4-6) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:04:39 +0300

haskell-configfile (1.1.4-5) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:44 -0400

haskell-configfile (1.1.4-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:58 -0400

haskell-configfile (1.1.4-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 14:01:48 -0400

haskell-configfile (1.1.4-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:14 -0500

haskell-configfile (1.1.4-1) experimental; urgency=medium

  * New upstream release
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:14 +0200

haskell-configfile (1.1.2-4) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:21 +0200

haskell-configfile (1.1.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:48:32 +0200

haskell-configfile (1.1.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:56 +0100

haskell-configfile (1.1.2-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 22:20:23 +0200

haskell-configfile (1.1.1-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:05 +0200

haskell-configfile (1.1.1-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:12 +0200

haskell-configfile (1.1.1-2) experimental; urgency=low

  * Change Vcs headers to Darcs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 04 Jan 2013 16:48:44 +0100

haskell-configfile (1.1.1-1) experimental; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Thu, 08 Nov 2012 03:20:30 +0000

haskell-configfile (1.0.6-4) unstable; urgency=low

  * Sourceful upload to rebuild documentation package
  * Build without haskell98.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:32:46 -0400

haskell-configfile (1.0.6-3) unstable; urgency=low

  * s/ghc6/ghc/

 -- Joachim Breitner <nomeata@debian.org>  Wed, 20 Apr 2011 22:07:32 +0530

haskell-configfile (1.0.6-2) unstable; urgency=low

  * debian/control:
    + Clean up Build-Depends and bump some minimum versions
    + Slightly rewrite short and long descriptions to be more consistent with
      other Debian Haskell Group policies
    + Rename documentation package
    + Add profiling package
    + Remove redundant duplicated Section lines
    + Add haskell substvars
    + Priority → extra due to transitive dep on libffi (in common with other
      Haskell libraries)
    + Standards-Version 3.9.0, use Breaks/Replaces to rename doc package
  * debian/compat: Set to 7
  * debian/source/format: Create with 1.0. Thanks to Lintian.
  * debian/watch: Create

 -- Iain Lane <laney@ubuntu.com>  Sat, 03 Jul 2010 10:59:50 +0100

haskell-configfile (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for GHC 6.12.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 19 Feb 2010 09:36:18 -0600

haskell-configfile (1.0.5-3) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/rules
    - Convert to hlibrary.mk (dh_haskell was removed to haskell-devscripts).
    (Closes: 556827)
  * debian/control
    - Depend on haskell-devscripts >= 0.6.18.
    - Move Build-Depends-Indeps to Build-Depends.
    - Add hscolour to build deps.
    - Standards-Version 3.8.3
    - Section haskell.
   * debian/compat
    - Version 5


